## org.hibernate.internal
Class SessionFactoryRegistry

    java.lang.Object
      org.hibernate.internal.SessionFactoryRegistry

    public class SessionFactoryRegistry

extends Object

A registry of all `SessionFactory` instances for the same classloader as this class. This registry is used for serialization/deserialization as well as JNDI binding.

Nested Class Summary
`static class` `SessionFactoryRegistry.ObjectFactoryImpl`

Field Summary
`static SessionFactoryRegistry` `INSTANCE`

Constructor Summary
`SessionFactoryRegistry()`

Method Summary
`void` `addSessionFactory(String uuid, String name, boolean isNameAlsoJndiName, SessionFactory instance, JndiService jndiService)`
`SessionFactory` `getNamedSessionFactory(String name)`
`SessionFactory` `getSessionFactory(String uuid)`
`void` `removeSessionFactory(String uuid, String name, boolean isNameAlsoJndiName, JndiService jndiService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final SessionFactoryRegistry INSTANCE

Constructor Detail

### SessionFactoryRegistry

    public SessionFactoryRegistry()

Method Detail

### addSessionFactory

    public void addSessionFactory(String uuid,
                                  String name,
                                  boolean isNameAlsoJndiName,
                                  SessionFactory instance,
                                  JndiService jndiService)

### removeSessionFactory

    public void removeSessionFactory(String uuid,
                                     String name,
                                     boolean isNameAlsoJndiName,
                                     JndiService jndiService)

### getNamedSessionFactory

    public SessionFactory getNamedSessionFactory(String name)

### getSessionFactory

    public SessionFactory getSessionFactory(String uuid)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.